/*
	Runtime Engine
		By Craig Kadziolka ( Nov 1999 - Dec 2000 )

	Modifications and copying is permitted providing this header
	is retained
*/

/*  Memory.c  - Linux Specific */

#include "../../Common/GCollector/gc.h"

/* Runtime memory interfaces */
#include "Types.h"
#include "memory.h"
#include "Errors.h"

#ifdef __cplusplus
extern "C" {
#endif

/* Allocate a block of memory and return a pointer to it. (NULL is returned if the block can't be allocated). */
void *allocate(UInt32 size)
{
	return alloc(size);
}

/* Return a block to the underlying memory manager when we're finished.  */
enum SysErr deallocate(void *block)
{

	return NoErr;
}

#ifdef __cplusplus
}
#endif
